diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Engine/xdiff.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Engine/xdiff.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Engine/xdiff.php	2010-02-18 19:25:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Engine/xdiff.php	2013-05-25 16:38:25.000000000 -0500
***************
*** 45,59 ****
              }
              switch ($line[0]) {
              case ' ':
!                 $edits[] = &new Text_Diff_Op_copy(array(substr($line, 1)));
                  break;
  
              case '+':
!                 $edits[] = &new Text_Diff_Op_add(array(substr($line, 1)));
                  break;
  
              case '-':
!                 $edits[] = &new Text_Diff_Op_delete(array(substr($line, 1)));
                  break;
              }
          }
--- 45,59 ----
              }
              switch ($line[0]) {
              case ' ':
!                 $edits[] = new Text_Diff_Op_copy(array(substr($line, 1)));
                  break;
  
              case '+':
!                 $edits[] = new Text_Diff_Op_add(array(substr($line, 1)));
                  break;
  
              case '-':
!                 $edits[] = new Text_Diff_Op_delete(array(substr($line, 1)));
                  break;
              }
          }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Renderer.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Renderer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Renderer.php	2010-02-18 19:25:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Renderer.php	2013-05-25 16:38:25.000000000 -0500
***************
*** 98,104 ****
                              /* Create a new block with as many lines as we need
                               * for the trailing context. */
                              $context = array_slice($edit->orig, 0, $ntrail);
!                             $block[] = &new Text_Diff_Op_copy($context);
                          }
                          /* @todo */
                          $output .= $this->_block($x0, $ntrail + $xi - $x0,
--- 98,104 ----
                              /* Create a new block with as many lines as we need
                               * for the trailing context. */
                              $context = array_slice($edit->orig, 0, $ntrail);
!                             $block[] = new Text_Diff_Op_copy($context);
                          }
                          /* @todo */
                          $output .= $this->_block($x0, $ntrail + $xi - $x0,
***************
*** 118,124 ****
                      $y0 = $yi - count($context);
                      $block = array();
                      if ($context) {
!                         $block[] = &new Text_Diff_Op_copy($context);
                      }
                  }
                  $block[] = $edit;
--- 118,124 ----
                      $y0 = $yi - count($context);
                      $block = array();
                      if ($context) {
!                         $block[] = new Text_Diff_Op_copy($context);
                      }
                  }
                  $block[] = $edit;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff.php	2010-02-18 19:25:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff.php	2013-05-25 17:10:53.000000000 -0500
***************
*** 205,211 ****
       * @param string $line  The line to trim.
       * @param integer $key  The index of the line in the array. Not used.
       */
!     function trimNewlines(&$line, $key)
      {
          $line = str_replace(array("\n", "\r"), '', $line);
      }
--- 205,211 ----
       * @param string $line  The line to trim.
       * @param integer $key  The index of the line in the array. Not used.
       */
!     static function trimNewlines(&$line, $key)
      {
          $line = str_replace(array("\n", "\r"), '', $line);
      }
***************
*** 377,383 ****
  
      function &reverse()
      {
!         $reverse = &new Text_Diff_Op_copy($this->final, $this->orig);
          return $reverse;
      }
  
--- 377,383 ----
  
      function &reverse()
      {
!         $reverse = new Text_Diff_Op_copy($this->final, $this->orig);
          return $reverse;
      }
  
***************
*** 399,405 ****
  
      function &reverse()
      {
!         $reverse = &new Text_Diff_Op_add($this->orig);
          return $reverse;
      }
  
--- 399,405 ----
  
      function &reverse()
      {
!         $reverse = new Text_Diff_Op_add($this->orig);
          return $reverse;
      }
  
***************
*** 421,427 ****
  
      function &reverse()
      {
!         $reverse = &new Text_Diff_Op_delete($this->final);
          return $reverse;
      }
  
--- 421,427 ----
  
      function &reverse()
      {
!         $reverse = new Text_Diff_Op_delete($this->final);
          return $reverse;
      }
  
***************
*** 443,449 ****
  
      function &reverse()
      {
!         $reverse = &new Text_Diff_Op_change($this->final, $this->orig);
          return $reverse;
      }
  
--- 443,449 ----
  
      function &reverse()
      {
!         $reverse = new Text_Diff_Op_change($this->final, $this->orig);
          return $reverse;
      }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/theme.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/theme.php	2012-11-19 00:59:25.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/theme.php	2013-05-30 12:55:14.000000000 -0500
***************
*** 340,346 ****
  
  	// Set up maybe-relative, maybe-absolute array of theme directories.
  	// We always want to return absolute, but we need to cache relative
! 	// use in for get_theme_root().
  	foreach ( $wp_theme_directories as $theme_root ) {
  		if ( 0 === strpos( $theme_root, WP_CONTENT_DIR ) )
  			$relative_theme_roots[ str_replace( WP_CONTENT_DIR, '', $theme_root ) ] = $theme_root;
--- 340,346 ----
  
  	// Set up maybe-relative, maybe-absolute array of theme directories.
  	// We always want to return absolute, but we need to cache relative
! 	// to use in get_theme_root().
  	foreach ( $wp_theme_directories as $theme_root ) {
  		if ( 0 === strpos( $theme_root, WP_CONTENT_DIR ) )
  			$relative_theme_roots[ str_replace( WP_CONTENT_DIR, '', $theme_root ) ] = $theme_root;
***************
*** 544,550 ****
  /**
   * Start preview theme output buffer.
   *
!  * Will only preform task if the user has permissions and template and preview
   * query variables exist.
   *
   * @since 2.6.0
--- 544,550 ----
  /**
   * Start preview theme output buffer.
   *
!  * Will only perform task if the user has permissions and template and preview
   * query variables exist.
   *
   * @since 2.6.0
***************
*** 631,637 ****
   */
  function preview_theme_ob_filter_callback( $matches ) {
  	if ( strpos($matches[4], 'onclick') !== false )
! 		$matches[4] = preg_replace('#onclick=([\'"]).*?(?<!\\\)\\1#i', '', $matches[4]); //Strip out any onclicks from rest of <a>. (?<!\\\) means to ignore the '" if its escaped by \  to prevent breaking mid-attribute.
  	if (
  		( false !== strpos($matches[3], '/wp-admin/') )
  	||
--- 631,637 ----
   */
  function preview_theme_ob_filter_callback( $matches ) {
  	if ( strpos($matches[4], 'onclick') !== false )
! 		$matches[4] = preg_replace('#onclick=([\'"]).*?(?<!\\\)\\1#i', '', $matches[4]); //Strip out any onclicks from rest of <a>. (?<!\\\) means to ignore the '" if it's escaped by \  to prevent breaking mid-attribute.
  	if (
  		( false !== strpos($matches[3], '/wp-admin/') )
  	||
***************
*** 981,992 ****
  }
  
  /**
!  * Display header image path.
   *
   * @since 2.1.0
   */
  function header_image() {
! 	echo get_header_image();
  }
  
  /**
--- 981,992 ----
  }
  
  /**
!  * Display header image URL.
   *
   * @since 2.1.0
   */
  function header_image() {
! 	echo esc_url( get_header_image() );
  }
  
  /**
***************
*** 1013,1020 ****
  		$header_images[$header_index]['attachment_id'] =  $header->ID;
  		$header_images[$header_index]['url'] =  $url;
  		$header_images[$header_index]['thumbnail_url'] =  $url;
! 		$header_images[$header_index]['width'] = $header_data['width'];
! 		$header_images[$header_index]['height'] = $header_data['height'];
  	}
  
  	return $header_images;
--- 1013,1022 ----
  		$header_images[$header_index]['attachment_id'] =  $header->ID;
  		$header_images[$header_index]['url'] =  $url;
  		$header_images[$header_index]['thumbnail_url'] =  $url;
! 		if ( isset( $header_data['width'] ) )
! 			$header_images[$header_index]['width'] = $header_data['width'];
! 		if ( isset( $header_data['height'] ) )
! 			$header_images[$header_index]['height'] = $header_data['height'];
  	}
  
  	return $header_images;
***************
*** 1489,1495 ****
  
  	switch ( $feature ) {
  		case 'custom-header' :
! 			if ( false === did_action( 'wp_loaded', '_custom_header_background_just_in_time' ) )
  				break;
  			$support = get_theme_support( 'custom-header' );
  			if ( $support[0]['wp-head-callback'] )
--- 1491,1497 ----
  
  	switch ( $feature ) {
  		case 'custom-header' :
! 			if ( ! did_action( 'wp_loaded' ) )
  				break;
  			$support = get_theme_support( 'custom-header' );
  			if ( $support[0]['wp-head-callback'] )
***************
*** 1499,1505 ****
  			break;
  
  		case 'custom-background' :
! 			if ( false === did_action( 'wp_loaded', '_custom_header_background_just_in_time' ) )
  				break;
  			$support = get_theme_support( 'custom-background' );
  			remove_action( 'wp_head', $support[0]['wp-head-callback'] );
--- 1501,1507 ----
  			break;
  
  		case 'custom-background' :
! 			if ( ! did_action( 'wp_loaded' ) )
  				break;
  			$support = get_theme_support( 'custom-background' );
  			remove_action( 'wp_head', $support[0]['wp-head-callback'] );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/update.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/update.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/update.php	2012-09-25 00:26:19.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/update.php	2013-01-04 04:13:51.000000000 -0600
***************
*** 51,63 ****
  	else
  		$mysql_version = 'N/A';
  
! 	if ( is_multisite( ) ) {
! 		$user_count = get_user_count( );
! 		$num_blogs = get_blog_count( );
! 		$wp_install = network_site_url( );
  		$multisite_enabled = 1;
  	} else {
! 		$user_count = count_users( );
  		$user_count = $user_count['total_users'];
  		$multisite_enabled = 0;
  		$num_blogs = 1;
--- 51,63 ----
  	else
  		$mysql_version = 'N/A';
  
! 	if ( is_multisite() ) {
! 		$user_count = get_user_count();
! 		$num_blogs = get_blog_count();
! 		$wp_install = network_site_url();
  		$multisite_enabled = 1;
  	} else {
! 		$user_count = count_users();
  		$user_count = $user_count['total_users'];
  		$multisite_enabled = 0;
  		$num_blogs = 1;
***************
*** 274,280 ****
  			$timeout = 12 * HOUR_IN_SECONDS;
  	}
  
! 	$time_not_changed = isset( $last_update->last_checked ) && $timeout > ( time( ) - $last_update->last_checked );
  
  	if ( $time_not_changed ) {
  		$theme_changed = false;
--- 274,280 ----
  			$timeout = 12 * HOUR_IN_SECONDS;
  	}
  
! 	$time_not_changed = isset( $last_update->last_checked ) && $timeout > ( time() - $last_update->last_checked );
  
  	if ( $time_not_changed ) {
  		$theme_changed = false;
***************
*** 313,319 ****
  		return false;
  
  	$new_update = new stdClass;
! 	$new_update->last_checked = time( );
  	$new_update->checked = $checked;
  
  	$response = maybe_unserialize( wp_remote_retrieve_body( $raw_response ) );
--- 313,319 ----
  		return false;
  
  	$new_update = new stdClass;
! 	$new_update->last_checked = time();
  	$new_update->checked = $checked;
  
  	$response = maybe_unserialize( wp_remote_retrieve_body( $raw_response ) );
***************
*** 404,412 ****
   * @since 2.7.0
   * @access private
   */
! function _maybe_update_themes( ) {
  	$current = get_site_transient( 'update_themes' );
! 	if ( isset( $current->last_checked ) && 12 * HOUR_IN_SECONDS > ( time( ) - $current->last_checked ) )
  		return;
  
  	wp_update_themes();
--- 404,412 ----
   * @since 2.7.0
   * @access private
   */
! function _maybe_update_themes() {
  	$current = get_site_transient( 'update_themes' );
! 	if ( isset( $current->last_checked ) && 12 * HOUR_IN_SECONDS > ( time() - $current->last_checked ) )
  		return;
  
  	wp_update_themes();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/user.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/user.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/user.php	2013-06-19 03:13:49.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/user.php	2013-07-16 23:46:09.000000000 -0500
***************
*** 87,104 ****
  	$user = get_user_by('login', $username);
  
  	if ( !$user )
! 		return new WP_Error('invalid_username', sprintf(__('<strong>ERROR</strong>: Invalid username. <a href="%s" title="Password Lost and Found">Lost your password</a>?'), wp_lostpassword_url()));
  
  	if ( is_multisite() ) {
  		// Is user marked as spam?
! 		if ( 1 == $user->spam)
! 			return new WP_Error('invalid_username', __('<strong>ERROR</strong>: Your account has been marked as a spammer.'));
  
  		// Is a user's blog marked as spam?
! 		if ( !is_super_admin( $user->ID ) && isset($user->primary_blog) ) {
  			$details = get_blog_details( $user->primary_blog );
  			if ( is_object( $details ) && $details->spam == 1 )
! 				return new WP_Error('blog_suspended', __('Site Suspended.'));
  		}
  	}
  
--- 87,104 ----
  	$user = get_user_by('login', $username);
  
  	if ( !$user )
! 		return new WP_Error( 'invalid_username', sprintf( __( '<strong>ERROR</strong>: Invalid username. <a href="%s" title="Password Lost and Found">Lost your password</a>?' ), wp_lostpassword_url() ) );
  
  	if ( is_multisite() ) {
  		// Is user marked as spam?
! 		if ( 1 == $user->spam )
! 			return new WP_Error( 'spammer_account', __( '<strong>ERROR</strong>: Your account has been marked as a spammer.' ) );
  
  		// Is a user's blog marked as spam?
! 		if ( !is_super_admin( $user->ID ) && isset( $user->primary_blog ) ) {
  			$details = get_blog_details( $user->primary_blog );
  			if ( is_object( $details ) && $details->spam == 1 )
! 				return new WP_Error( 'blog_suspended', __( 'Site Suspended.' ) );
  		}
  	}
  
***************
*** 276,286 ****
  	if ( !$global )
  		$option_name = $wpdb->prefix . $option_name;
  
- 	// For backward compatibility. See differences between update_user_meta() and deprecated update_usermeta().
- 	// http://core.trac.wordpress.org/ticket/13088
- 	if ( is_null( $newvalue ) || is_scalar( $newvalue ) && empty( $newvalue ) )
- 		return delete_user_meta( $user_id, $option_name );
- 
  	return update_user_meta( $user_id, $option_name, $newvalue );
  }
  
--- 276,281 ----
***************
*** 397,404 ****
  			$qv['fields'] = array_unique( $qv['fields'] );
  
  			$this->query_fields = array();
! 			foreach ( $qv['fields'] as $field )
! 				$this->query_fields[] = $wpdb->users . '.' . esc_sql( $field );
  			$this->query_fields = implode( ',', $this->query_fields );
  		} elseif ( 'all' == $qv['fields'] ) {
  			$this->query_fields = "$wpdb->users.*";
--- 392,401 ----
  			$qv['fields'] = array_unique( $qv['fields'] );
  
  			$this->query_fields = array();
! 			foreach ( $qv['fields'] as $field ) {
! 				$field = 'ID' === $field ? 'ID' : sanitize_key( $field );
! 				$this->query_fields[] = "$wpdb->users.$field";
! 			}
  			$this->query_fields = implode( ',', $this->query_fields );
  		} elseif ( 'all' == $qv['fields'] ) {
  			$this->query_fields = "$wpdb->users.*";
***************
*** 474,485 ****
  					$search_columns = array('user_email');
  				elseif ( is_numeric($search) )
  					$search_columns = array('user_login', 'ID');
! 				elseif ( preg_match('|^https?://|', $search) && ! ( is_multisite() && function_exists( 'wp_is_large_network' ) && wp_is_large_network( 'users' ) ) )
  					$search_columns = array('user_url');
  				else
  					$search_columns = array('user_login', 'user_nicename');
  			}
  
  			$this->query_where .= $this->get_search_sql( $search, $search_columns, $wild );
  		}
  
--- 471,484 ----
  					$search_columns = array('user_email');
  				elseif ( is_numeric($search) )
  					$search_columns = array('user_login', 'ID');
! 				elseif ( preg_match('|^https?://|', $search) && ! ( is_multisite() && wp_is_large_network( 'users' ) ) )
  					$search_columns = array('user_url');
  				else
  					$search_columns = array('user_login', 'user_nicename');
  			}
  
+ 			$search_columns = apply_filters( 'user_search_columns', $search_columns, $search, $this );
+ 
  			$this->query_where .= $this->get_search_sql( $search, $search_columns, $wild );
  		}
  
***************
*** 794,800 ****
   * @param string $meta_key Metadata name.
   * @param mixed $meta_value Metadata value.
   * @param bool $unique Optional, default is false. Whether the same key should not be added.
!  * @return bool False for failure. True for success.
   */
  function add_user_meta($user_id, $meta_key, $meta_value, $unique = false) {
  	return add_metadata('user', $user_id, $meta_key, $meta_value, $unique);
--- 793,799 ----
   * @param string $meta_key Metadata name.
   * @param mixed $meta_value Metadata value.
   * @param bool $unique Optional, default is false. Whether the same key should not be added.
!  * @return int|bool Meta ID on success, false on failure.
   */
  function add_user_meta($user_id, $meta_key, $meta_value, $unique = false) {
  	return add_metadata('user', $user_id, $meta_key, $meta_value, $unique);
***************
*** 814,820 ****
   * @param int $user_id user ID
   * @param string $meta_key Metadata name.
   * @param mixed $meta_value Optional. Metadata value.
!  * @return bool False for failure. True for success.
   */
  function delete_user_meta($user_id, $meta_key, $meta_value = '') {
  	return delete_metadata('user', $user_id, $meta_key, $meta_value);
--- 813,819 ----
   * @param int $user_id user ID
   * @param string $meta_key Metadata name.
   * @param mixed $meta_value Optional. Metadata value.
!  * @return bool True on success, false on failure.
   */
  function delete_user_meta($user_id, $meta_key, $meta_value = '') {
  	return delete_metadata('user', $user_id, $meta_key, $meta_value);
***************
*** 853,859 ****
   * @param string $meta_key Metadata key.
   * @param mixed $meta_value Metadata value.
   * @param mixed $prev_value Optional. Previous value to check before removing.
!  * @return bool False on failure, true if success.
   */
  function update_user_meta($user_id, $meta_key, $meta_value, $prev_value = '') {
  	return update_metadata('user', $user_id, $meta_key, $meta_value, $prev_value);
--- 852,858 ----
   * @param string $meta_key Metadata key.
   * @param mixed $meta_value Metadata value.
   * @param mixed $prev_value Optional. Previous value to check before removing.
!  * @return bool True on success, false on failure.
   */
  function update_user_meta($user_id, $meta_key, $meta_value, $prev_value = '') {
  	return update_metadata('user', $user_id, $meta_key, $meta_value, $prev_value);
***************
*** 1032,1038 ****
  	extract( $r, EXTR_SKIP );
  
  	$query_args = wp_array_slice_assoc( $r, array( 'blog_id', 'include', 'exclude', 'orderby', 'order', 'who' ) );
! 	$query_args['fields'] = array( 'ID', $show );
  	$users = get_users( $query_args );
  
  	$output = '';
--- 1031,1037 ----
  	extract( $r, EXTR_SKIP );
  
  	$query_args = wp_array_slice_assoc( $r, array( 'blog_id', 'include', 'exclude', 'orderby', 'order', 'who' ) );
! 	$query_args['fields'] = array( 'ID', 'user_login', $show );
  	$users = get_users( $query_args );
  
  	$output = '';
***************
*** 1390,1396 ****
  	}
  
  	$data = compact( 'user_pass', 'user_email', 'user_url', 'user_nicename', 'display_name', 'user_registered' );
! 	$data = stripslashes_deep( $data );
  
  	if ( $update ) {
  		$wpdb->update( $wpdb->users, $data, compact( 'ID' ) );
--- 1389,1395 ----
  	}
  
  	$data = compact( 'user_pass', 'user_email', 'user_url', 'user_nicename', 'display_name', 'user_registered' );
! 	$data = wp_unslash( $data );
  
  	if ( $update ) {
  		$wpdb->update( $wpdb->users, $data, compact( 'ID' ) );
***************
*** 1429,1437 ****
   * It is possible to update a user's password by specifying the 'user_pass'
   * value in the $userdata parameter array.
   *
-  * If $userdata does not contain an 'ID' key, then a new user will be created
-  * and the new user's ID will be returned.
-  *
   * If current user's password is being updated, then the cookies will be
   * cleared.
   *
--- 1428,1433 ----
***************
*** 1453,1459 ****
  	// First, get all of the original fields
  	$user_obj = get_userdata( $ID );
  	if ( ! $user_obj )
! 		return new WP_Error( 'invalid_user_id', __( 'Invalid user ID' ) );
  
  	$user = $user_obj->to_array();
  
--- 1449,1455 ----
  	// First, get all of the original fields
  	$user_obj = get_userdata( $ID );
  	if ( ! $user_obj )
! 		return new WP_Error( 'invalid_user_id', __( 'Invalid user ID.' ) );
  
  	$user = $user_obj->to_array();
  
***************
*** 1504,1511 ****
   * @return int The new user's ID.
   */
  function wp_create_user($username, $password, $email = '') {
! 	$user_login = esc_sql( $username );
! 	$user_email = esc_sql( $email    );
  	$user_pass = $password;
  
  	$userdata = compact('user_login', 'user_email', 'user_pass');
--- 1500,1507 ----
   * @return int The new user's ID.
   */
  function wp_create_user($username, $password, $email = '') {
! 	$user_login = wp_slash( $username );
! 	$user_email = wp_slash( $email    );
  	$user_pass = $password;
  
  	$userdata = compact('user_login', 'user_email', 'user_pass');
***************
*** 1527,1533 ****
  }
  
  /**
!  * Set up the default contact methods.
   *
   * @since 2.9.0
   * @access private
--- 1523,1531 ----
  }
  
  /**
!  * Set up the contact methods.
!  *
!  * Default contact methods were removed in 3.6. A filter dictates contact methods.
   *
   * @since 2.9.0
   * @access private
***************
*** 1536,1545 ****
   * @return array $user_contactmethods Array of contact methods and their labels.
   */
  function _wp_get_user_contactmethods( $user = null ) {
! 	$user_contactmethods = array(
! 		'aim' => __('AIM'),
! 		'yim' => __('Yahoo IM'),
! 		'jabber' => __('Jabber / Google Talk')
! 	);
  	return apply_filters( 'user_contactmethods', $user_contactmethods, $user );
  }
--- 1534,1546 ----
   * @return array $user_contactmethods Array of contact methods and their labels.
   */
  function _wp_get_user_contactmethods( $user = null ) {
! 	$user_contactmethods = array();
! 	if ( get_site_option( 'initial_db_version' ) < 23588 ) {
! 		$user_contactmethods = array(
! 			'aim'    => __( 'AIM' ),
! 			'yim'    => __( 'Yahoo IM' ),
! 			'jabber' => __( 'Jabber / Google Talk' )
! 		);
! 	}
  	return apply_filters( 'user_contactmethods', $user_contactmethods, $user );
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/vars.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/vars.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/vars.php	2012-07-30 14:40:52.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/vars.php	2013-07-08 15:27:06.000000000 -0500
***************
*** 93,102 ****
  $is_IIS = !$is_apache && (strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS') !== false || strpos($_SERVER['SERVER_SOFTWARE'], 'ExpressionDevServer') !== false);
  
  /**
!  * Whether the server software is IIS 7.X
   * @global bool $is_iis7
   */
! $is_iis7 = $is_IIS && (strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS/7.') !== false);
  
  /**
   * Test if the current browser runs on a mobile device (smart phone, tablet, etc.)
--- 93,102 ----
  $is_IIS = !$is_apache && (strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS') !== false || strpos($_SERVER['SERVER_SOFTWARE'], 'ExpressionDevServer') !== false);
  
  /**
!  * Whether the server software is IIS 7.X or greater
   * @global bool $is_iis7
   */
! $is_iis7 = $is_IIS && intval( substr( $_SERVER['SERVER_SOFTWARE'], strpos( $_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS/' ) + 14 ) ) >= 7;
  
  /**
   * Test if the current browser runs on a mobile device (smart phone, tablet, etc.)
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/version.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/version.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/version.php	2013-06-21 12:26:11.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/version.php	2013-08-01 15:22:43.000000000 -0500
***************
*** 4,24 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.5.2';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 22442;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-24486';
  
  /**
   * Holds the required PHP version
--- 4,24 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.6';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 24448;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-24485';
  
  /**
   * Holds the required PHP version
